Skip to main content
POST
/
v5
/
accountant
/
teammates
Save teammates
curl --request POST \
  --url https://sandbox.hurdlr.com/rest/v5/accountant/teammates \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: */*' \
  --data '
{
  "teammates": [
    {
      "users": [
        {
          "id": 123,
          "userId": "<string>",
          "status": "ACTIVE",
          "accessLevel": "READ_WRITE"
        }
      ],
      "id": 123,
      "userId": "<string>",
      "email": "jane@mycompany.com",
      "firstName": "Jane",
      "lastName": "Doe",
      "status": "ACTIVE",
      "canReopenBooks": true,
      "canManageAdmins": true,
      "canManageUsers": true,
      "canAccessAllUsers": true
    }
  ]
}
'
[
  {
    "result": "SUCCESS",
    "errors": {
      "fieldErrors": {},
      "globalErrors": [
        {
          "type": "DUPLICATE",
          "errorMessage": "<string>"
        }
      ]
    },
    "id": "<string>",
    "webhook": {
      "userId": "<string>",
      "accountantUserId": "<string>",
      "type": "ENTITY_UPDATE"
    }
  }
]

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Body

*/*

teammates object

teammates
object[]

Response

200 - application/json

Successful operation

result
enum<string>

The result of the action performed

Available options:
SUCCESS,
FAILURE
errors
object

Error object containing details errors incurred, if any

id
string

Id of the entity being acted upon

webhook
object